// import 'package:firebase_crashlytics/firebase_crashlytics.dart';
// import 'package:flutter/material.dart';
import 'package:hmg_nurses/app_state/app_state.dart';
import 'package:hmg_nurses/services/api_client.dart';
import 'package:hmg_nurses/api_repo/login_api_repo.dart';
import 'package:hmg_nurses/services/firebase_service.dart';
import 'package:injector/injector.dart';

class AppDependencies {
  static void addDependencies() {
    Injector injector = Injector.appInstance;

    //add dependencies as needed
    //services
    injector.registerSingleton<AppState>(() => AppState());
    injector.registerSingleton<IApiClient>(() => ApiClient());
    injector.registerSingleton<IFirebaseService>(() => FirebaseService());

    //repos
    injector.registerSingleton<ILoginApiRepo>(() => LoginApiRepo());
  }
}
